JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const action = await client.workflows.actions.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(action.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action = client.workflows.actions.update(
action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(action.data)curl --request PATCH \
--url https://api.mobilerun.ai/v1/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"name": "<string>",
"params": {}
}
'
{
"data": {
"catalogEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "<string>",
"name": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": "tasks_api",
"updatedAt": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": "<unknown>",
"paramsSchema": "<unknown>"
}
}{
"error": "<string>"
}Actions
Update an action
Partially update an action’s name, description, or params; all fields are optional. Returns 404 if the action does not exist.
PATCH
/
actions
/
{actionId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const action = await client.workflows.actions.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(action.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
action = client.workflows.actions.update(
action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(action.data)Authorizations
Bearer token via Authorization header
Path Parameters
Body
application/json
Response
Action updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I